 note
	description:  "[
		Parser for reading in a string and converting it to a date.
		This file was produced by 'geyacc' (from the gobo tools cluster)
		using file 'ymd_time_parser.y'.
		]"
	date: "17 Aug 04"
	author:		"Jimmy J. Johnson"
	copyright:	"Copyright 2009, Jimmy J. Johnson"
	license:	"Eiffel Forum License v2 (see forum.txt)"
	URL: 		"$URL:$"
	date:		"$Date: 2009-06-25 21:37:23 -0400 (Thu, 25 Jun 2009) $"
	revision:	"$Revision: 7 $"

class YMD_TIME_PARSER

inherit

	YY_PARSER_SKELETON
		rename
			make as make_parser_skeleton
		redefine
			default_create
		end

	YMD_TIME_PARSER_ROUTINES
		rename
			last_value as last_scanner_value
		redefine
			default_create
		end

	YMD_TIME_SCANNER
		rename
			last_value as last_scanner_value
		redefine
			default_create
		end

create
	default_create

feature {NONE} -- Initialization

	default_create
			-- Create a new Eiffel parser.
		do
			Precursor {YMD_TIME_SCANNER}
			make_parser_skeleton
		end

feature -- Access

	last_value: YMD_TIME
			-- The result of parsing

feature -- Basic operations

	parse_string (a_string: STRING)
			-- Parse `a_string'.
		local
			b: KL_CHARACTER_BUFFER
			yy_buf: YY_BUFFER
			s: STRING
		do
			reset
				-- The `b' must end in "%U%U".  I don't know why.
				-- so append it onto the end of a copy of `a_string'.
			s := a_string.deep_twin
			s.append ("%U%U")
			create b.make_from_string (s)
			create yy_buf.make_from_buffer (b)
			set_input_buffer (yy_buf)
			parse
		end

-------------------------------------------------------------------------------------
--------------------  Following created by GeYacc  ----------------------------------



feature {NONE} -- Implementation

	yy_build_parser_tables
			-- Build parser tables.
		do
			yytranslate := yytranslate_template
			yyr1 := yyr1_template
			yytypes1 := yytypes1_template
			yytypes2 := yytypes2_template
			yydefact := yydefact_template
			yydefgoto := yydefgoto_template
			yypact := yypact_template
			yypgoto := yypgoto_template
			yytable := yytable_template
			yycheck := yycheck_template
		end

	yy_create_value_stacks
			-- Create value stacks.
		do
		end

	yy_init_value_stacks
			-- Initialize value stacks.
		do
			yyvsp1 := -1
			yyvsp2 := -1
			yyvsp3 := -1
		end

	yy_clear_value_stacks
			-- Clear objects in semantic value stacks so that
			-- they can be collected by the garbage collector.
		do
			if yyvs1 /= Void then
				yyvs1.clear_all
			end
			if yyvs2 /= Void then
				yyvs2.clear_all
			end
			if yyvs3 /= Void then
				yyvs3.clear_all
			end
		end

	yy_push_last_value (yychar1: INTEGER)
			-- Push semantic value associated with token `last_token'
			-- (with internal id `yychar1') on top of corresponding
			-- value stack.
		do
			yyvsp1 := yyvsp1 + 1
			if yyvsp1 >= yyvsc1 then
				if yyvs1 = Void then
					debug ("GEYACC")
						std.error.put_line ("Create yyvs1")
					end
					create yyspecial_routines1
					yyvsc1 := yyInitial_yyvs_size
					yyvs1 := yyspecial_routines1.make (yyvsc1)
				else
					debug ("GEYACC")
						std.error.put_line ("Resize yyvs1")
					end
					yyvsc1 := yyvsc1 + yyInitial_yyvs_size
					yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
				end
			end
			yyvs1.put (last_any_value, yyvsp1)
		end

	yy_push_error_value
			-- Push semantic value associated with token 'error'
			-- on top of corresponding value stack.
		local
			yyval1: ANY
		do
			yyvsp1 := yyvsp1 + 1
			if yyvsp1 >= yyvsc1 then
				if yyvs1 = Void then
					debug ("GEYACC")
						std.error.put_line ("Create yyvs1")
					end
					create yyspecial_routines1
					yyvsc1 := yyInitial_yyvs_size
					yyvs1 := yyspecial_routines1.make (yyvsc1)
				else
					debug ("GEYACC")
						std.error.put_line ("Resize yyvs1")
					end
					yyvsc1 := yyvsc1 + yyInitial_yyvs_size
					yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
				end
			end
			yyvs1.put (yyval1, yyvsp1)
		end

	yy_pop_last_value (yystate: INTEGER)
			-- Pop semantic value from stack when in state `yystate'.
		local
			yy_type_id: INTEGER
		do
			yy_type_id := yytypes1.item (yystate)
			inspect yy_type_id
			when 1 then
				yyvsp1 := yyvsp1 - 1
			when 2 then
				yyvsp2 := yyvsp2 - 1
			when 3 then
				yyvsp3 := yyvsp3 - 1
			else
				debug ("GEYACC")
					std.error.put_string ("Error in parser: unknown type id: ")
					std.error.put_integer (yy_type_id)
					std.error.put_new_line
				end
				abort
			end
		end

feature {NONE} -- Semantic actions

	yy_do_action (yy_act: INTEGER)
			-- Execute semantic action.
		local
			yyval2: YMD_TIME
			yyval1: ANY
			yyval3: INTEGER
		do
			inspect yy_act
when 1 then
--|#line 104 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 104")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp2 := yyvsp2 + 1
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 2 then
--|#line 105 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 105")
end

yyval2 := yyvs2.item (yyvsp2)  last_value := yyval2
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs2.put (yyval2, yyvsp2)
end
when 3 then
--|#line 106 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 106")
end

yyval2 := yyvs2.item (yyvsp2)  last_value := yyval2
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs2.put (yyval2, yyvsp2)
end
when 4 then
--|#line 107 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 107")
end

yyval2 := yyvs2.item (yyvsp2)  last_value := yyval2
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs2.put (yyval2, yyvsp2)
end
when 5 then
--|#line 108 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 108")
end

yyval2 := yyvs2.item (yyvsp2)  last_value := yyval2
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs2.put (yyval2, yyvsp2)
end
when 6 then
--|#line 109 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 109")
end

yyval2 := yyvs2.item (yyvsp2)  last_value := yyval2
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs2.put (yyval2, yyvsp2)
end
when 7 then
--|#line 110 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 110")
end

yyval2 := yyvs2.item (yyvsp2)  last_value := yyval2
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs2.put (yyval2, yyvsp2)
end
when 8 then
--|#line 115 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 115")
end

yyval2 := process_ambiguous_day (yyvs3.item (yyvsp3 - 2), yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 9 then
--|#line 116 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 116")
end

yyval2 := process_ambiguous_day (yyvs3.item (yyvsp3 - 2), yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 10 then
--|#line 117 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 117")
end

yyval2 := process_ambiguous_day (yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3 - 2), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 11 then
--|#line 118 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 118")
end

yyval2 := process_ambiguous_day (yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3 - 2), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 12 then
--|#line 122 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 122")
end

yyval2 := process_ambiguous_day (yyvs3.item (yyvsp3 - 2), yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 13 then
--|#line 123 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 123")
end

yyval2 := process_ambiguous_day (yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3 - 2), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 14 then
--|#line 124 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 124")
end

yyval2 := process_ambiguous_day (yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3), yyvs3.item (yyvsp3 - 2))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 15 then
--|#line 125 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 125")
end

yyval2 := process_ambiguous_day (yyvs3.item (yyvsp3), yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3 - 2))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 16 then
--|#line 126 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 126")
end

yyval2 := process_ambiguous_day_month (yyvs3.item (yyvsp3 - 2), yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 17 then
--|#line 127 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 127")
end

yyval2 := process_ambiguous_day_month (yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3), yyvs3.item (yyvsp3 - 2))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 18 then
--|#line 131 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 131")
end

yyval2 := process_unspecified (0, yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -2
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 19 then
--|#line 132 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 132")
end

yyval2 := process_unspecified (0, yyvs3.item (yyvsp3), yyvs3.item (yyvsp3 - 1))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -2
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 20 then
--|#line 133 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 133")
end

yyval2 := process_unspecified (yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3), 0)
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -2
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 21 then
--|#line 134 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 134")
end

yyval2 := process_unspecified (yyvs3.item (yyvsp3), yyvs3.item (yyvsp3 - 1), 0)
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -2
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 22 then
--|#line 135 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 135")
end

yyval2 := process_unspecified (0, yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -2
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 23 then
--|#line 136 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 136")
end

yyval2 := process_unspecified (0, yyvs3.item (yyvsp3), yyvs3.item (yyvsp3 - 1))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -2
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 24 then
--|#line 137 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 137")
end

yyval2 := process_unspecified (yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3), 0)
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -2
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 25 then
--|#line 138 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 138")
end

yyval2 := process_unspecified (yyvs3.item (yyvsp3), yyvs3.item (yyvsp3 - 1), 0)
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -2
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 26 then
--|#line 142 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 142")
end

yyval2 := yyvs2.item (yyvsp2)
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs2.put (yyval2, yyvsp2)
end
when 27 then
--|#line 143 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 143")
end

yyval2 := yyvs2.item (yyvsp2)
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs2.put (yyval2, yyvsp2)
end
when 28 then
--|#line 144 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 144")
end

yyval2 := yyvs2.item (yyvsp2)
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs2.put (yyval2, yyvsp2)
end
when 29 then
--|#line 145 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 145")
end

yyval2 := yyvs2.item (yyvsp2)
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs2.put (yyval2, yyvsp2)
end
when 30 then
--|#line 146 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 146")
end

yyval2 := yyvs2.item (yyvsp2)
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs2.put (yyval2, yyvsp2)
end
when 31 then
--|#line 151 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 151")
end

yyval2 := process_three_numbers (yyvs3.item (yyvsp3 - 2), yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 32 then
--|#line 152 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 152")
end

yyval2 := process_three_numbers (yyvs3.item (yyvsp3 - 2), yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 33 then
--|#line 153 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 153")
end

yyval2 := process_three_numbers (yyvs3.item (yyvsp3 - 2), yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 34 then
--|#line 154 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 154")
end

yyval2 := process_three_numbers (yyvs3.item (yyvsp3 - 2), yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -3
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 35 then
--|#line 159 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 159")
end

yyval2 := process_two_numbers (yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -2
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 36 then
--|#line 160 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 160")
end

yyval2 := process_two_numbers (yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -2
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 37 then
--|#line 161 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 161")
end

yyval2 := process_two_numbers (yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -2
	if yyvsp2 >= yyvsc2 then
		if yyvs2 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs2")
			end
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs2")
			end
			yyvsc2 := yyvsc2 + yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
		end
	end
	yyvs2.put (yyval2, yyvsp2)
end
when 38 then
--|#line 167 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 167")
end

-- do nothing as result is not needed

if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 39 then
--|#line 171 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 171")
end

yyval3 := last_integer
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvsp3 := yyvsp3 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp3 >= yyvsc3 then
		if yyvs3 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs3")
			end
			create yyspecial_routines3
			yyvsc3 := yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.make (yyvsc3)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs3")
			end
			yyvsc3 := yyvsc3 + yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.resize (yyvs3, yyvsc3)
		end
	end
	yyvs3.put (yyval3, yyvsp3)
end
when 40 then
--|#line 174 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 174")
end

yyval3 := last_integer
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvsp3 := yyvsp3 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp3 >= yyvsc3 then
		if yyvs3 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs3")
			end
			create yyspecial_routines3
			yyvsc3 := yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.make (yyvsc3)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs3")
			end
			yyvsc3 := yyvsc3 + yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.resize (yyvs3, yyvsc3)
		end
	end
	yyvs3.put (yyval3, yyvsp3)
end
when 41 then
--|#line 177 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 177")
end

yyval3 := last_integer
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvsp3 := yyvsp3 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp3 >= yyvsc3 then
		if yyvs3 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs3")
			end
			create yyspecial_routines3
			yyvsc3 := yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.make (yyvsc3)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs3")
			end
			yyvsc3 := yyvsc3 + yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.resize (yyvs3, yyvsc3)
		end
	end
	yyvs3.put (yyval3, yyvsp3)
end
when 42 then
--|#line 180 "ymd_time_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'ymd_time_parser.y' at line 180")
end

yyval3 := last_integer
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvsp3 := yyvsp3 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp3 >= yyvsc3 then
		if yyvs3 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs3")
			end
			create yyspecial_routines3
			yyvsc3 := yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.make (yyvsc3)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs3")
			end
			yyvsc3 := yyvsc3 + yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.resize (yyvs3, yyvsc3)
		end
	end
	yyvs3.put (yyval3, yyvsp3)
end
			else
				debug ("GEYACC")
					std.error.put_string ("Error in parser: unknown rule id: ")
					std.error.put_integer (yy_act)
					std.error.put_new_line
				end
				abort
			end
		end

	yy_do_error_action (yy_act: INTEGER)
			-- Execute error action.
		do
			inspect yy_act
			when 48 then
					-- End-of-file expected action.
				report_eof_expected_error
			else
					-- Default action.
				report_error ("parse error")
			end
		end

feature {NONE} -- Table templates

	yytranslate_template: SPECIAL [INTEGER]
		once
			Result := yyfixed_array (<<
			    0,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,

			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,

			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    1,    2,    3,    4,
			    5,    6,    7,    8, yyDummy>>)
		end

	yyr1_template: SPECIAL [INTEGER]
		once
			Result := yyfixed_array (<<
			    0,    9,    9,    9,    9,    9,    9,    9,   10,   10,
			   10,   10,   11,   11,   11,   11,   11,   11,   12,   12,
			   12,   12,   12,   12,   12,   12,   13,   13,   13,   13,
			   13,   14,   14,   14,   14,   15,   15,   15,   20,   16,
			   17,   18,   19, yyDummy>>)
		end

	yytypes1_template: SPECIAL [INTEGER]
		once
			Result := yyfixed_array (<<
			    2,    1,    1,    1,    1,    1,    2,    2,    2,    2,
			    2,    2,    3,    3,    3,    3,    1,    3,    3,    3,
			    3,    3,    3,    3,    3,    3,    3,    3,    3,    2,
			    2,    2,    2,    2,    3,    3,    3,    3,    3,    3,
			    3,    3,    3,    3,    3,    3,    3,    3,    2,    1,
			    1, yyDummy>>)
		end

	yytypes2_template: SPECIAL [INTEGER]
		once
			Result := yyfixed_array (<<
			    1,    1,    1,    1,    1,    1,    1,    1,    1, yyDummy>>)
		end

	yydefact_template: SPECIAL [INTEGER]
		once
			Result := yyfixed_array (<<
			    1,   42,   41,   39,   40,   38,    2,    3,    4,    7,
			    5,    6,    0,    0,    0,    0,    0,   18,   21,   25,
			   19,    0,   23,   20,   36,   24,   22,   37,   35,   26,
			   27,   28,   29,   30,   10,   11,   14,   15,   17,    9,
			   12,   32,    8,   13,   33,   16,   34,   31,    0,    0,
			    0, yyDummy>>)
		end

	yydefgoto_template: SPECIAL [INTEGER]
		once
			Result := yyfixed_array (<<
			   48,    6,    7,    8,    9,   10,   11,   12,   13,   14,
			   15,   16, yyDummy>>)
		end

	yypact_template: SPECIAL [INTEGER]
		once
			Result := yyfixed_array (<<
			    0, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768,   32,   13,   35,   27,   27, -32768,    8,    8,
			 -32768,   28,   42,    8,   37,    8, -32768,   37,   32, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,   30,   25,
			 -32768, yyDummy>>)
		end

	yypgoto_template: SPECIAL [INTEGER]
		once
			Result := yyfixed_array (<<
			 -32768,   41,   40,   39, -32768,   38,   36,   33,   -1,   16,
			  -12, -32768, yyDummy>>)
		end

	yytable_template: SPECIAL [INTEGER]
		once
			Result := yyfixed_array (<<
			   19,   22,   24,   28,    5,    4,    3,    2,    1,   36,
			   38,   17,   41,    4,   26,   44,   47,   34,   35,    3,
			    2,    1,   39,   40,   42,   50,   43,   45,   18,   21,
			   49,   27,    4,    3,    2,    1,    1,    4,   37,    2,
			    1,    3,    4,    1,   46,    1,   20,   23,   25,    2,
			    1,    0,   33,    0,   32,   31,   30,   29, yyDummy>>)
		end

	yycheck_template: SPECIAL [INTEGER]
		once
			Result := yyfixed_array (<<
			   12,   13,   14,   15,    4,    5,    6,    7,    8,   21,
			   22,   12,   24,    5,   15,   27,   28,   18,   19,    6,
			    7,    8,   23,   24,   25,    0,   27,   28,   12,   13,
			    0,   15,    5,    6,    7,    8,    8,    5,   22,    7,
			    8,    6,    5,    8,   28,    8,   13,   14,   15,    7,
			    8,   -1,   16,   -1,   16,   16,   16,   16, yyDummy>>)
		end

feature {NONE} -- Semantic value stacks

	yyvs1: SPECIAL [ANY]
			-- Stack for semantic values of type ANY

	yyvsc1: INTEGER
			-- Capacity of semantic value stack `yyvs1'

	yyvsp1: INTEGER
			-- Top of semantic value stack `yyvs1'

	yyspecial_routines1: KL_SPECIAL_ROUTINES [ANY]
			-- Routines that ought to be in SPECIAL [ANY]

	yyvs2: SPECIAL [YMD_TIME]
			-- Stack for semantic values of type YMD_TIME

	yyvsc2: INTEGER
			-- Capacity of semantic value stack `yyvs2'

	yyvsp2: INTEGER
			-- Top of semantic value stack `yyvs2'

	yyspecial_routines2: KL_SPECIAL_ROUTINES [YMD_TIME]
			-- Routines that ought to be in SPECIAL [YMD_TIME]

	yyvs3: SPECIAL [INTEGER]
			-- Stack for semantic values of type INTEGER

	yyvsc3: INTEGER
			-- Capacity of semantic value stack `yyvs3'

	yyvsp3: INTEGER
			-- Top of semantic value stack `yyvs3'

	yyspecial_routines3: KL_SPECIAL_ROUTINES [INTEGER]
			-- Routines that ought to be in SPECIAL [INTEGER]

feature {NONE} -- Constants

	yyFinal: INTEGER = 50
			-- Termination state id

	yyFlag: INTEGER = -32768
			-- Most negative INTEGER

	yyNtbase: INTEGER = 9
			-- Number of tokens

	yyLast: INTEGER = 57
			-- Upper bound of `yytable' and `yycheck'

	yyMax_token: INTEGER = 263
			-- Maximum token id
			-- (upper bound of `yytranslate'.)

	yyNsyms: INTEGER = 21
			-- Number of symbols
			-- (terminal and nonterminal)

feature -- User-defined features



end -- class YMD_TIME_PARSER
