note
	description:  "[
		Scanner for reading in a string and converting it to a date.
		This file was produced by 'gelex' (from the gobo tools cluster)
		using file "ymd_time_scanner.l".
		]"
	date: "17 Aug 04"
	author:		"Jimmy J. Johnson"
	copyright:	"Copyright 2009, Jimmy J. Johnson"
	license:	"Eiffel Forum License v2 (see forum.txt)"
	URL: 		"$URL:$"
	date:		"$Date: 2009-06-25 21:37:23 -0400 (Thu, 25 Jun 2009) $"
	revision:	"$Revision: 7 $"

class YMD_TIME_SCANNER

inherit

	YY_COMPRESSED_SCANNER_SKELETON
		export
			{NONE} all
			{ANY} scanning_error
		redefine
			default_create
		end

	UT_CHARACTER_CODES
		export
			{NONE} all
		redefine
			default_create
		end

	YMD_TIME_TOKENS
		export
			{NONE} all
		redefine
			default_create
		end

	YMD_TIME_SCANNER_ROUTINES
		export
			{NONE} all
		redefine
			default_create
		end

	ANY
		redefine
			default_create
		end

create
	default_create

feature {NONE} -- Initialization

	default_create
			-- Create a scanner object
		do
			make
			Precursor {YMD_TIME_SCANNER_ROUTINES}
		end

feature -- Basic operations

	scan_string (a_string: STRING)
			-- Scan `a_string'
		local
			b: KL_CHARACTER_BUFFER
			yy_buf: YY_BUFFER
			s: STRING
		do
				-- The `b' must end in "%U%U".  I don't know why.
				-- so append it onto the end of a copy of `a_string'.
			s := a_string.deep_twin
			s.append ("%U%U")
			create b.make_from_string (s)
			create yy_buf.make_from_buffer (b)
			set_input_buffer (yy_buf)
			scan
		end

	print_values
		do
			io.put_string ("token = ")
			io.put_string (token_name (last_token))
			io.put_string ("     value = ")
			if last_value /= Void then
				io.put_string (last_value.out)
			else
				io.put_string ("Void")
			end
			io.new_line
		end

---------------------------------------------------------------------------------
-----------------------   Following code produce by Gelex  ----------------------


feature -- Status report

	valid_start_condition (sc: INTEGER): BOOLEAN
			-- Is `sc' a valid start condition?
		do
			Result := (sc = INITIAL)
		end

feature {NONE} -- Implementation

	yy_build_tables
			-- Build scanner tables.
		do
			yy_nxt := yy_nxt_template
			yy_chk := yy_chk_template
			yy_base := yy_base_template
			yy_def := yy_def_template
			yy_ec := yy_ec_template
			yy_meta := yy_meta_template
			yy_accept := yy_accept_template
		end

	yy_execute_action (yy_act: INTEGER)
			-- Execute semantic action.
		do
if yy_act <= 2 then
if yy_act = 1 then
--|#line 107 "ymd_time_scanner.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'ymd_time_scanner.l' at line 107")
end

			last_integer := comas_removed (text).to_integer
			last_value := last_integer
			if last_integer > 31 then
				last_token := YEAR_TOKEN
			elseif last_integer > 12 then
				last_token := YEAR_OR_DAY_TOKEN
			else
				last_token := NUMBER_TOKEN
			end
			print_values

else
--|#line 120 "ymd_time_scanner.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'ymd_time_scanner.l' at line 120")
end
	if is_month (text) then
				last_token := MONTH_TOKEN
				last_integer := get_month (text)
				last_value := last_integer
			elseif is_weekday (text) then
				last_token := WEEKDAY_TOKEN
				last_string := text
				last_value := text
			else
				last_token := SCAN_ERROR_TOKEN
				last_value := last_string
				print_values
			end
			print_values

end
else
if yy_act = 3 then
--|#line 136 "ymd_time_scanner.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'ymd_time_scanner.l' at line 136")
end
	last_value := text
			print_values

else
--|#line 0 "ymd_time_scanner.l"
debug ("GELEX")
	std.error.put_line ("Executing scanner user-code from file 'ymd_time_scanner.l' at line 0")
end
default_action
end
end
		end

	yy_execute_eof_action (yy_sc: INTEGER)
			-- Execute EOF semantic action.
		do
			terminate
		end

feature {NONE} -- Table templates

	yy_nxt_template: SPECIAL [INTEGER]
		once
			Result := yy_fixed_array (<<
			    0,    4,    5,    5,    6,    7,    9,   10,    8,    8,
			    9,   15,   16,   14,   12,   11,   15,   13,   17,    3,
			   17,   17,   17,   17,   17, yy_Dummy>>)
		end

	yy_chk_template: SPECIAL [INTEGER]
		once
			Result := yy_fixed_array (<<
			    0,    1,    1,    1,    1,    1,    6,    6,   18,   18,
			   24,   23,   22,   21,   20,   19,   13,   10,    3,   17,
			   17,   17,   17,   17,   17, yy_Dummy>>)
		end

	yy_base_template: SPECIAL [INTEGER]
		once
			Result := yy_fixed_array (<<
			    0,    0,    0,   18,   19,    0,    3,    0,    0,    0,
			   13,    0,    0,   12,    0,    0,    0,   19,    6,   10,
			   10,    9,    8,    7,    7, yy_Dummy>>)
		end

	yy_def_template: SPECIAL [INTEGER]
		once
			Result := yy_fixed_array (<<
			    0,   17,    1,   17,   17,   18,   17,   19,   18,   20,
			    6,   19,   21,   10,   22,   23,   24,    0,   17,   17,
			   17,   17,   17,   17,   17, yy_Dummy>>)
		end

	yy_ec_template: SPECIAL [INTEGER]
		once
			Result := yy_fixed_array (<<
			    0,    1,    1,    1,    1,    1,    1,    1,    1,    2,
			    2,    1,    1,    2,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    2,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    3,    2,    2,    2,    4,    4,
			    4,    4,    4,    4,    4,    4,    4,    4,    2,    1,
			    1,    1,    1,    1,    1,    5,    5,    5,    5,    5,
			    5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
			    5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
			    5,    1,    2,    1,    1,    1,    1,    5,    5,    5,

			    5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
			    5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
			    5,    5,    5,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,

			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1, yy_Dummy>>)
		end

	yy_meta_template: SPECIAL [INTEGER]
		once
			Result := yy_fixed_array (<<
			    0,    1,    2,    3,    4,    5, yy_Dummy>>)
		end

	yy_accept_template: SPECIAL [INTEGER]
		once
			Result := yy_fixed_array (<<
			    0,    0,    0,    5,    4,    3,    1,    2,    3,    0,
			    1,    2,    0,    1,    0,    1,    1,    0, yy_Dummy>>)
		end

feature {NONE} -- Constants

	yyJam_base: INTEGER = 19
			-- Position in `yy_nxt'/`yy_chk' tables
			-- where default jam table starts

	yyJam_state: INTEGER = 17
			-- State id corresponding to jam state

	yyTemplate_mark: INTEGER = 18
			-- Mark between normal states and templates

	yyNull_equiv_class: INTEGER = 1
			-- Equivalence code for NULL character

	yyReject_used: BOOLEAN = false
			-- Is `reject' called?

	yyVariable_trail_context: BOOLEAN = false
			-- Is there a regular expression with
			-- both leading and trailing parts having
			-- variable length?

	yyReject_or_variable_trail_context: BOOLEAN = false
			-- Is `reject' called or is there a
			-- regular expression with both leading
			-- and trailing parts having variable length?

	yyNb_rules: INTEGER = 4
			-- Number of rules

	yyEnd_of_buffer: INTEGER = 5
			-- End of buffer rule code

	yyLine_used: BOOLEAN = false
			-- Are line and column numbers used?

	yyPosition_used: BOOLEAN = false
			-- Is `position' used?

	INITIAL: INTEGER = 0
			-- Start condition codes

feature -- User-defined features




end -- class YMD_TIME_SCANNER
